Subject: [nwcrg] Fwd: New Version Notification for draft-roca-tsvwg-fecframev2-03.txt

From: Vincent Roca <[email-masked]>
Date: Fri, 24 Feb 2017 09:19:56 +0100

Hello everybody,

As discussed during previous IETF, we updated our FECFRAME I-D so that:
	- it extends RFC 6363 (instead of obsoleting it),
	- it only includes additional text to RFC 6363 (instead of copying everything).
The result is pretty compact (although we copied the long 2 pages 1/2 definition section of the RFC).

We also kept the initial I-D filename for tracking purposes, although this is no longer a "new" version.

This I-D along with our RLC I-D (https://datatracker.ietf.org/doc/draft-roca-tsvwg-rlc-fec-scheme/ <https://datatracker.ietf.org/doc/draft-roca-tsvwg-rlc-fec-scheme/>) 
are meant to work together. 

Once again we cross-post this message to the NWCRG mailing list where the work has been initiated.

Regards,

  Vincent and Ali

> De: [email-masked]
> Objet: New Version Notification for draft-roca-tsvwg-fecframev2-03.txt
> Date: 24 février 2017 à 09:03:15 UTC+1
> À: "Vincent Roca" <[email-masked]>, "Ali Begen" <[email-masked]>
> 
> 
> A new version of I-D, draft-roca-tsvwg-fecframev2-03.txt
> has been successfully submitted by Vincent Roca and posted to the
> IETF repository.
> 
> Name:		draft-roca-tsvwg-fecframev2
> Revision:	03
> Title:		Forward Error Correction (FEC) Framework Extension to Convolutional Codes
> Document date:	2017-02-24
> Group:		Individual Submission
> Pages:		18
> URL:            https://www.ietf.org/internet-drafts/draft-roca-tsvwg-fecframev2-03.txt
> Status:         https://datatracker.ietf.org/doc/draft-roca-tsvwg-fecframev2/
> Htmlized:       https://tools.ietf.org/html/draft-roca-tsvwg-fecframev2-03
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-roca-tsvwg-fecframev2-03
> 
> Abstract:
>   RFC 6363 describes a framework for using Forward Error Correction
>   (FEC) codes with applications in public and private IP networks to
>   provide protection against packet loss.  The framework supports
>   applying FEC to arbitrary packet flows over unreliable transport and
>   is primarily intended for real-time, or streaming, media.  However
>   FECFRAME as per RFC 6363 is restricted to block FEC codes.  The
>   present document extends FECFRAME to support convolutional FEC Codes,
>   based on a sliding encoding window, in addition to Block FEC Codes.
>   This is done in a backward compatible way.  During multicast/
>   broadcast real-time content delivery, these codes significantly
>   improve robustness in harsh environments, with less repair traffic
>   and lower FEC-related added latency.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>